---
title: Option Group
desc: The QOptionGroup Vue component allows you better control for grouping binary form input components like checkboxes, radios or toggles.
related:
  - /vue-components/radio
  - /vue-components/checkbox
  - /vue-components/toggle
  - /vue-components/button-toggle
---

The QOptionGroup component is a helper component that allows you better control for grouping binary (on or off, true or false, 1 or 0) form input components like checkboxes, radios or toggles. A good use for this component is for offering a set of options or settings to turn on and off.

## Installation
<doc-installation components="QOptionGroup" />

## Usage
<doc-example title="Standard" file="QOptionGroup/Standard" />

<doc-example title="With checkboxes" file="QOptionGroup/Checkbox" />

::: warning
The model for checkboxes must be an array
:::

<doc-example title="With toggles" file="QOptionGroup/Toggle" />

::: warning
The model for toggles must be an array
:::

<doc-example title="With option labels on the left side" file="QOptionGroup/Label" />

<doc-example title="Inline" file="QOptionGroup/Inline" />

<doc-example title="Dense and inline" file="QOptionGroup/DenseInline" />

<doc-example title="Disabled" file="QOptionGroup/Disable" />

<doc-example title="On a dark background" file="QOptionGroup/Dark" dark />

## QOptionGroup API
<doc-api file="QOptionGroup" />
